var maxContentWidth = 500;
prepareDoc = function(){		
	$('body table').each(function(){
		if($(this).width() > maxContentWidth) maxContentWidth = $(this).width();
	});
	var realContentWidth = maxContentWidth;
	    maxContentWidth = maxContentWidth + 205;

	$('body').wrapInner('<div id="main"><div class="contentWithPadding" id="content"></div></div>');
	
	$('div#main').prepend('<table class="headerAndFooter" id="headerTable">'+
							'<tr >'+
								'<td class="leftLogo"></td>'+
								'<td class="rightLogo"></td>'+
							'</tr>'+
							 '<tr>'+
								'<td colspan="2" id="ueLine">Projekt współfinansowany przez Unię Europejską w ramach Europejskiego Funduszu Społecznego.</td>'+
							'</tr>'+
						  '</table>'
									 );
	$('div#main').append('<table class="headerAndFooter" id="footerTable">'+
							'<tr >'+
								'<td class="leftLogo"></td>'+
								'<td class="rightLogo"></td>'+
							'</tr>'+
						  '</table>'
						  );									 
									 
	$( "div.headerfooter" ).each(function( index ) {
			if(index == 0){
				$( 'img',this ).each(function( indexImg ){
					if(indexImg == 0) $('#headerTable td.leftLogo').append('<img src="'+$(this).attr('src')+'">'); else
					if(indexImg == 1) $('#headerTable td.rightLogo').append('<img src="'+$(this).attr('src')+'">');
				});
			} else 
			if(index == 1){
				$( 'img',this ).each(function( indexImg ){
					if(indexImg == 0) $('#footerTable td.leftLogo').append('<img src="'+$(this).attr('src')+'">'); else
					if(indexImg == 1) $('#footerTable td.rightLogo').append('<img src="'+$(this).attr('src')+'">');
				});
			}
	});
	
							
	
	$(window).resize(function() {
        onResize();
    });
	onResize();
}

function onResize(){
	var viewPortHeight = getViewPortHeight();
	var viewPortWidth = getViewPortWidth();
	var newContentWidth = maxContentWidth;
	
	if (viewPortWidth < newContentWidth) newContentWidth  = viewPortWidth -40;
	if (viewPortWidth < 600 || viewPortHeight <400) {
				    $('.headerAndFooter').hide( );
					$('#main #content').removeClass('contentWithPadding');
					$('#main #content').addClass('contentWithoutPadding');					
				} else {
				    $('.headerAndFooter').show(); 
					$('#main #content').removeClass('contentWithoutPadding');
					$('#main #content').addClass('contentWithPadding');
				}
	
	$('div#main').width(newContentWidth);
	centerMainDiv();
}

function centerMainDiv(){		
			var main = $('div#main');
			var left = ( getViewPortWidth() - main.width() ) / 2+$(window).scrollLeft();
			if (left <0) left = 0;
			main.css("left",  left+ "px");
}